textproc/sonnet - The NetBSD Packages Collection

Spelling framework for Qt5

Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

It also supports automated language detection, based on a
combination of different algorithms.

The simplest way to use Sonnet in your application is to use the
SpellCheckDecorator class on your QTextEdit.

Build dependencies

devel/extra-cmake-modules devel/extra-cmake-modules pkgtools/x11-links x11/xorgproto x11/xcb-proto x11/qt5-qttools pkgtools/cwrappers x11/qt5-qttools devel/glib2-tools devel/cmake devel/cmake devel/pkgconf

Runtime dependencies

textproc/aspell textproc/hunspell x11/qt5-qtbase textproc/aspell textproc/hunspell x11/qt5-qtbase

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfsonnet-5.80.0nb2.tgz
NetBSD 8.0earmv7hfsonnet-5.80.0nb1.tgz
NetBSD 8.0powerpcsonnet-5.70.0nb5.tgz
NetBSD 8.0x86_64sonnet-5.70.0nb5.tgz
NetBSD 8.0x86_64sonnet-5.80.0nb1.tgz
NetBSD 9.0aarch64sonnet-5.80.0nb2.tgz
NetBSD 9.0aarch64sonnet-5.70.0nb5.tgz
NetBSD 9.0aarch64sonnet-5.80.0nb1.tgz
NetBSD 9.0earmsonnet-5.80.0nb2.tgz
NetBSD 9.0earmv6hfsonnet-5.80.0nb2.tgz
NetBSD 9.0earmv6hfsonnet-5.80.0nb1.tgz
NetBSD 9.0earmv7hfsonnet-5.80.0nb2.tgz
NetBSD 9.0earmv7hfsonnet-5.80.0nb1.tgz
NetBSD 9.0i386sonnet-5.70.0nb5.tgz
NetBSD 9.0i386sonnet-5.80.0nb2.tgz
NetBSD 9.0mips64ebsonnet-5.80.0nb2.tgz
NetBSD 9.0powerpcsonnet-5.70.0nb5.tgz
NetBSD 9.0sparc64sonnet-5.80.0nb1.tgz
NetBSD 9.0sparc64sonnet-5.70.0nb5.tgz
NetBSD 9.0sparc64sonnet-5.80.0nb2.tgz
NetBSD 9.0x86_64sonnet-5.80.0nb1.tgz
NetBSD 9.0x86_64sonnet-5.80.0nb2.tgz
NetBSD 9.0x86_64sonnet-5.70.0nb5.tgz
NetBSD 9.0x86_64sonnet-5.80.0nb1.tgz
NetBSD 9.0x86_64sonnet-5.80.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.